import Popup from "@/components/popup";
import { ScrollView, Text, View } from "@tarojs/components";
import { memo, useMemo } from "react";
import styles  from './index.module.scss'

//原因选择
type ReasonInfoParam = {
    show?: boolean,
    onClose?: () => void,
    title?: string,
    list?: {id:number, name:string}[]
}
export default memo(({show = false, onClose, title = '', list= []}: ReasonInfoParam) => {

    return (
        <Popup showIconButton={false} show={show} title={title} onClose={onClose} >
            <View className={styles.reason_return_con}>
                <View className={styles.reason_title}><Text>{title}</Text></View>
                <ScrollView scrollY className={styles.reason_scroll}>
                    <View className={styles.reason_list}>
                        {list.map(item => <View key={item.id} className={styles.reason_item}>{item.name}</View> )}
                    </View>
                </ScrollView>
            </View>
        </Popup>
    )
})